Skip to content

Create a card order

Request

Creates a new card order. The program field value is retrieved from the retrieve all card programs endpoint.

This request requires an extra field in the header, X-idempotence-uuid. This should be generated and used for any subsequent retries in the event that the initial request fails.

When you issue a card under a business profile, the cardholder will automatically default to the business representative.

If the cardholder is not the business representative, create a cardholder personal profile and add the profileId of the cardholder profile to the cardHolderProfileId field on the card order request.

For country-specific address fields and validation rules, see the card address validation guide.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID (personal or business).

Example:123456
Headers
X-idempotence-uuidstring, (uuid)required

Idempotency key. Should be generated and used for any subsequent retries.

Example:054064c9-e01e-49fb-8fd9-b0990b9442f4
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
programstringrequired

The name of the card program.

Example:"VISA_DEBIT_BUSINESS_UK_1_PHYSICAL_CARDS_API"
cardHolderNamestringrequired

The cardholder's name.

Example:"John Smith"
embossedNamestring

The cardholder's name to print on the card (physical card only). The field length should be between 1 and 22 characters (spaces included).

Example:"Smith John"
phoneNumberstring

For partners onboarded after 1/3/2025, we will use the profile phone number for any Card-related One-Time Password (OTP) requests. See 3ds. Ensure that the phone number is valid and starts with a "+" followed by the country code.

Example:"+441234567890"
addressobject

The cardholder's billing address or delivery address. Required for physical cards. Optional for virtual cards (defaults to the profile address, if omitted). Fields vary by country. See the card address validation guide.

deliveryOptionstring

The delivery method for the card order. The delivery method will be defined during scoping phase. Please reach out to your Implementation Manager for more information.

Only specify this field for KIOSK_COLLECTION. If not specified, the default delivery method for your region will be used.

  • POSTAL_SERVICE_STANDARD - Default delivery method. Not traceable.
  • POSTAL_SERVICE_WITH_TRACKING - Available in certain regions. Default in Brazil.
  • KIOSK_COLLECTION - Available in select regions. See the kiosk collection guide.
Enum:"POSTAL_SERVICE_STANDARD""POSTAL_SERVICE_WITH_TRACKING""KIOSK_COLLECTION"
Example:null
lifetimeLimitnumber

Optionally sets a lifetime spending limit on the card. A lifetime limit of 0 means that a card cannot be used until the lifetime limit is updated.

Example:100
cardHolderProfileIdinteger, (int64)

The cardholder profile for this card. This is used for business profiles.

Example:654321
replacementDetailsobject

The replacement details for this card.

curl -i -X POST \
  https://api.wise.com/2026Q3/spend/profiles/123456/card-orders \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -H 'X-idempotence-uuid: 054064c9-e01e-49fb-8fd9-b0990b9442f4' \
  -d '{
    "program": "VISA_DEBIT_BUSINESS_UK_1_PHYSICAL_CARDS_API",
    "cardHolderName": "John Smith",
    "embossedName": "Smith John",
    "phoneNumber": "+441234567890",
    "address": {
      "firstLine": "56 Shoreditch High St",
      "secondLine": "The Tea Bldg",
      "thirdLine": null,
      "city": "London",
      "postCode": "E1 6JJ",
      "state": null,
      "country": "GB"
    },
    "deliveryOption": null,
    "lifetimeLimit": 100,
    "cardHolderProfileId": 654321,
    "replacementDetails": {
      "cardToken": "4a75fdb7-5791-49ac-832c-81c4347e4df0",
      "reason": "CARD_DAMAGED"
    }
  }'

Responses

OK - Card order created successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

ID of the card order.

Example:142
profileIdinteger, (int64)

Profile ID.

Example:123456
clientIdstring

Client ID.

Example:"your-client-id"
cardProgramobject

The card program associated with this card order. A Card Program is what Wise refers to all the cards that you will be issuing with us, grouped by product type and by issuing country.

addressobject

Address set during card order. Required for physical cards. Optional for virtual cards (defaults to the profile address, if omitted). Fields vary by country. See the card address validation guide for country-specific fields and validation rules.

cardTokenstring or null

Token of the card associated with card order. Nullable.

Example:"4dc0be88-903f-49e4-8237-735f1139e3dd"
replacesCardstring or null

Token of the card being replaced by this replacement card order. Nullable.

Example:"4dc0be88-903f-49e4-8237-735f1139e3dd"
creationTimestring, (date-time)

Time when the card order is created.

Example:"2023-07-31T01:43:24.596321434Z"
modificationTimestring, (date-time)

Time when the card order was last modified.

Example:"2023-07-31T01:43:24.596321825Z"
statusstring

Status of the card order. See card order status flow for details.

Enum:"PLACED""REQUIREMENTS_FULFILLED""CARD_DETAILS_CREATED""PRODUCED""COMPLETED""CANCELLED""RETURNED"
Example:"PRODUCED"
cardHolderNamestring

Name of the card holder.

Example:"John Smith"
phoneNumberstring

Phone number associated with the card order.

Example:"+441234567890"
lifetimeLimitnumber or null

Maximum amount of spending on the card once issued. Nullable.

Example:100
deliveryEstimatestring, (date-time)

The estimated time when the card will be delivered. There are few scenarios to be mindful of:

  1. For virtual card the delivery estimate will be close to the creationTime, as it does not require delivery.
  2. For physical card in PLACED status, the delivery estimate is calculated assuming that the order requirements will be fulfilled today (refreshed daily).
  3. For physical card after PLACED status, we provide a best effort estimation, and it should not be used as delivery timing as we will have separate delivery tracking (subject to region availability) for physical card that is coming soon.
Example:"2023-10-30T07:11:00.848681Z"
deliveryDetailsobject

Delivery details of a physical card order. For virtual cards, this value is null.

Response
{ "id": 142, "profileId": 123456, "clientId": "your-client-id", "cardProgram": { "name": "VISA_DEBIT_BUSINESS_UK_1_PHYSICAL_CARDS_API", "scheme": "VISA", "defaultCurrency": "GBP", "cardType": "PHYSICAL" }, "address": { "firstLine": "56 Shoreditch High St", "secondLine": "The Tea Bldg", "thirdLine": null, "city": "London", "postCode": "E1 6JJ", "state": null, "country": "GB" }, "cardToken": "4dc0be88-903f-49e4-8237-735f1139e3dd", "replacesCard": "4dc0be88-903f-49e4-8237-735f1139e3dd", "creationTime": "2023-07-31T01:43:24.596321434Z", "modificationTime": "2023-07-31T01:43:24.596321825Z", "status": "PRODUCED", "cardHolderName": "John Smith", "phoneNumber": "+441234567890", "lifetimeLimit": 100, "deliveryEstimate": "2023-10-30T07:11:00.848681Z", "deliveryDetails": { "deliveryOption": "POSTAL_SERVICE_WITH_TRACKING", "deliveryVendor": "DHL", "trackingUrl": "https://www.dhl.com/gb-en/home/tracking/tracking-express.html?submit=1&tracking-id=1999473803", "trackingNumber": "1999473803" } }